Bug 135096 - new port:databases/slonyI-2
Summary: new port:databases/slonyI-2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-31 18:30 UTC by Ismail YENIGUL
Modified: 2009-08-09 21:40 UTC (History)
0 users

See Also:


Attachments
file.shar (27.78 KB, text/plain)
2009-05-31 18:30 UTC, Ismail YENIGUL
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ismail YENIGUL 2009-05-31 18:30:00 UTC
This is a new port for slonyI version 2.X.X series.

This version of slonyI is compatible only with postgresql 8.3 or higher versions.
The name of the port may be strange!(slony1-2), feel free to change it.

Fix: Patch attached with submission follows:
Comment 1 Philip M. Gollucci freebsd_committer 2009-06-12 04:39:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2009-06-12 05:10:00 UTC
State Changed
From-To: open->repocopy

Request Repo copy 


Comment 3 Philip M. Gollucci freebsd_committer 2009-06-12 05:10:00 UTC
Responsible Changed
From-To: pgollucci->portmgr

Request Repo copy
Comment 4 Joe Marcus Clarke freebsd_committer 2009-06-15 04:59:09 UTC
State Changed
From-To: repocopy->open

When requesting a repocopy, please spell out exactly what you want copied in 
the why field.  I'm not sure exactly what to copy here. 


Comment 5 Joe Marcus Clarke freebsd_committer 2009-06-15 04:59:09 UTC
Responsible Changed
From-To: portmgr->pgollucci

When requesting a repocopy, please spell out exactly what you want copied in 
the why field.  I'm not sure exactly what to copy here.
Comment 6 Philip M. Gollucci freebsd_committer 2009-06-21 21:53:48 UTC
State Changed
From-To: open->repocopy

Request Repo copy 


Comment 7 Philip M. Gollucci freebsd_committer 2009-06-21 21:53:48 UTC
Responsible Changed
From-To: pgollucci->portmgr

Request Repo copy 

appologies, foobarred the cli.

databases/slonyI -> databases/slonyI-2
Comment 8 Joe Marcus Clarke freebsd_committer 2009-06-28 19:21:19 UTC
State Changed
From-To: repocopy->open

There is no databases/slonyI port.  There is databases slony1.  However, 
I don't know if you want that copied to databases/slonyI-2 or databases 
slony1-2. 


Comment 9 Joe Marcus Clarke freebsd_committer 2009-06-28 19:21:19 UTC
Responsible Changed
From-To: portmgr->pgollucci

There is no databases/slonyI port.  There is databases slony1.  However, 
I don't know if you want that copied to databases/slonyI-2 or databases 
slony1-2.
Comment 10 Jimmy Olgeni freebsd_committer 2009-08-03 23:13:32 UTC
Responsible Changed
From-To: pgollucci->olgeni

A few things should probably merged into the current slony1 port before the 
repocopy is made.
Comment 11 dfilter service freebsd_committer 2009-08-04 13:28:51 UTC
olgeni      2009-08-04 12:28:36 UTC

  FreeBSD ports repository

  Modified files:
    databases/slony1     Makefile 
  Log:
  Reduce diff with ports/135096: USE_PGSQL and set IGNORE_WITH_PGSQL
  to 84 (will be supported by slony1 1.2.17).
  
  PR:             ports/135096 (partial)
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.39      +4 -3      ports/databases/slony1/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Jimmy Olgeni freebsd_committer 2009-08-04 13:35:58 UTC
State Changed
From-To: open->repocopy

Please repocopy databases/slony1 to databases/slony1v2, as slony1 2.x does 
not provide compatibility with postgresql < 83. 


Comment 13 Jimmy Olgeni freebsd_committer 2009-08-04 13:35:58 UTC
Responsible Changed
From-To: olgeni->portmgr

Please repocopy databases/slony1 to databases/slony1v2, as slony1 2.x does 
not provide compatibility with postgresql < 83.
Comment 14 Joe Marcus Clarke freebsd_committer 2009-08-09 19:22:23 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 15 Joe Marcus Clarke freebsd_committer 2009-08-09 19:22:23 UTC
Responsible Changed
From-To: portmgr->olgeni

Repocopy complete.
Comment 16 dfilter service freebsd_committer 2009-08-09 21:30:40 UTC
olgeni      2009-08-09 20:30:24 UTC

  FreeBSD ports repository

  Modified files:
    databases/slony1v2   Makefile distinfo pkg-descr pkg-plist 
  Log:
  Upgrade to slony1 version 2.0.2 after repocopy.
  
  From the slony1 home page:
  
  "This is a major new release of Slony-I; it makes use of some
  features introduced in PostgreSQL 8.3, and hence is not compatible
  with versions older than 8.3. This is considered a pretty good
  tradeoff, as various functionality would not be possible with earlier
  versions of PostgreSQL."
  
  Support for PostgreSQL 8.4 will be available in slony1 2.0.3, hence
  IGNORE_WITH_PGSQL also contains 84 for now.
  
  This port conflicts with slony1-*.
  
  PR:             ports/135096 (with a few changes)
  Submitted by:   Ismail Yenigul <ismail.yenigul at endersys.com.tr>
  Repocopy by:    marcus
  
  Revision  Changes    Path
  1.40      +10 -8     ports/databases/slony1v2/Makefile
  1.27      +6 -6      ports/databases/slony1v2/distinfo
  1.6       +6 -0      ports/databases/slony1v2/pkg-descr
  1.20      +6 -17     ports/databases/slony1v2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 17 Jimmy Olgeni freebsd_committer 2009-08-09 21:33:44 UTC
State Changed
From-To: open->closed

Port committed as databases/slony1v2. Thanks!